Summary: Very high level scripting language
Name: python
Version: 1.5.1
Release: 22C1
Copyright: distributable
Packager: Oliver Andrich <oli@andrich.net>
Group: Development/Languages/Python
Source0: Python-1.5.1.tar.gz
Source1: postscript-docs.tar.gz
Source2: html-docs.tar.gz
Patch0: python-1.5.1-setup-cobalt.patch
Patch1: python-1.5.1-makefile.patch
Patch2: python-1.5-fixpaths.patch
Patch3: python-1.5.1-bugfix.patch
Icon: linux-python-small.gif 
BuildRoot: /tmp/py-root

%changelog

* Sat Aug 08 1998 Oliver Andrich <oli@andrich.net>

- applied the most recent patches.all from www.python.org

* Tue Jul 20 1998 Oliver Andrich <oli@andrich.net>

- had to recompile the packages, so that python-zlib uses zlib 1.1.2

* Tue Jun 23 1998 Oliver Andrich <oli@andrich.net>

- applied the newest patches.all patch file

* Sat Jun 07 1998 Oliver Andrich <oli@andrich.net>

- applied the newest patches.all patch file

* Sat Jun 06 1998 Oliver Andrich <oli@andrich.net>

- removed fpectl support
- added new icons courtesy of Oliver Graf <ograf@fga.de>
	and Christof Furch <cfurch@fga.de>

* Mon Jun 01 1998 Oliver Andrich <oli@andrich.net>

- fixed the Packager config line. ;-)

* Mon Jun 01 1998 Oliver Andrich <oli@andrich.net>

- removed fpectl support cause I need kjbuckets

%description
Python in an interpreted, object orientated scripting language. If contains
support for dynamic loading of objects, classes, modules, and exceptions.
Adding interfaces to new system libraries through C code is straightforward,
making Python easy to use in custom settings. 

%package doc
Summary: Python Documentation
Group: Development/Languages/Python
Icon: linux-python-doc-icon.gif

%description doc
The official Python documentation. This includes demos, tools and
documentation. The manpage is include in the main package.

This package doesn't include the LaTeX sources of the documentation
but the ready to use postscript and html docs.

%package gdbm
Summary: Python interface to the gdbm library
Group: Development/Languages/Python
Icon: linux-python-db-icon.gif
Requires: python, gdbm

%description gdbm
An easy to use interface to gdbm databases.

%package curses
Summary: Python interface to the (n)curses library
Group: Development/Languages/Python
Icon: linux-python-curses-icon.gif
Requires: python, ncurses

%description curses
An easy to use interface to (n)curses databases.

%package devel
Summary: Libraries needed to develop Python extensions
Group: Development/Languages/Python
Icon: linux-python-devel-icon.gif
Requires: python

%description devel
Everything you need to develop extensions modules for Python using
C/C++.

%package zlib
Summary: Python interface to the zlib library
Group: Development/Languages/Python
Icon: linux-python-zlib-icon.gif
Requires: python, zlib >= 1.1.2

%description zlib
An interface to the zlib library.

%prep
%setup -n Python-1.5.1 -a 1 -a 2 
%patch0 -p1
%patch1 -p1
%patch2 -p1
export POSIXLY_CORRECT=TRUE
%patch3 

%build
# note the single '>' below!
echo ': ${LDSHARED='gcc -shared'}' > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${ac_cv_func_lstat='yes'}' >> config.cache
./configure --prefix=/usr --with-thread
make OPT="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr
mkdir -p $RPM_BUILD_ROOT/usr/lib/python1.5/site-packages
mkdir -p $RPM_BUILD_ROOT/usr/lib/site-python
make prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/python
# We don't have stdwin module, so don't
# install the .py*'s either.
rm -rf $RPM_BUILD_ROOT/usr/lib/python1.5/lib-stdwin

%clean
# Now we create the slackware packages
if [ ! -e /tmp/SLACKWARE ]; then
	mkdir /tmp/SLACKWARE
fi
cd $RPM_BUILD_ROOT
tar cvfz /tmp/SLACKWARE/python-doc-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.tar.gz usr/doc/python-doc-1.5.1
rm -rf usr/doc/python-doc-1.5.1
tar cvfz /tmp/SLACKWARE/python-gdbm-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.tar.gz usr/lib/python1.5/lib-dynload/gdbmmodule.so
rm usr/lib/python1.5/lib-dynload/gdbmmodule.so
tar cvfz /tmp/SLACKWARE/python-devel-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.tar.gz usr/include/python1.5 usr/lib/python1.5/config
rm -rf usr/lib/python1.5/config
rm -rf usr/include/python1.5
#rm usr/lib/python1.5/lib-dynload/_tkinter.so
rm -rf usr/lib/python1.5/lib-tk
tar cvfz /tmp/SLACKWARE/python-zlib-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.tar.gz usr/lib/python1.5/lib-dynload/zlibmodule.so
rm usr/lib/python1.5/lib-dynload/zlibmodule.so
tar cvfz /tmp/SLACKWARE/python-%{PACKAGE_VERSION}-%{PACKAGE_RELEASE}.tar.gz usr/
rm -rf $RPM_BUILD_ROOT

%files
/usr/bin/python
/usr/bin/python1.5
/usr/man/man1/python.1
/usr/lib/site-python
/usr/lib/python1.5/test
/usr/lib/python1.5/plat-linux2
/usr/lib/python1.5/site-packages
/usr/lib/python1.5/lib-old
/usr/lib/python1.5/*.py*
/usr/lib/python1.5/lib-dynload/arraymodule.so
/usr/lib/python1.5/lib-dynload/audioop.so
/usr/lib/python1.5/lib-dynload/binascii.so
/usr/lib/python1.5/lib-dynload/cPickle.so
/usr/lib/python1.5/lib-dynload/cStringIO.so
/usr/lib/python1.5/lib-dynload/cmathmodule.so
/usr/lib/python1.5/lib-dynload/cryptmodule.so
/usr/lib/python1.5/lib-dynload/errnomodule.so
/usr/lib/python1.5/lib-dynload/fcntlmodule.so
/usr/lib/python1.5/lib-dynload/grpmodule.so
/usr/lib/python1.5/lib-dynload/imageop.so
/usr/lib/python1.5/lib-dynload/mathmodule.so
/usr/lib/python1.5/lib-dynload/md5module.so
/usr/lib/python1.5/lib-dynload/newmodule.so
/usr/lib/python1.5/lib-dynload/nismodule.so
/usr/lib/python1.5/lib-dynload/operator.so
/usr/lib/python1.5/lib-dynload/parsermodule.so
/usr/lib/python1.5/lib-dynload/pwdmodule.so
/usr/lib/python1.5/lib-dynload/resource.so
/usr/lib/python1.5/lib-dynload/rgbimgmodule.so
/usr/lib/python1.5/lib-dynload/rotormodule.so
/usr/lib/python1.5/lib-dynload/selectmodule.so
/usr/lib/python1.5/lib-dynload/socketmodule.so
/usr/lib/python1.5/lib-dynload/stropmodule.so
/usr/lib/python1.5/lib-dynload/structmodule.so
/usr/lib/python1.5/lib-dynload/syslogmodule.so
/usr/lib/python1.5/lib-dynload/termios.so
/usr/lib/python1.5/lib-dynload/timemodule.so
/usr/lib/python1.5/lib-dynload/timingmodule.so
/usr/lib/python1.5/lib-dynload/bsddbmodule.so

%files doc
%doc postscript-docs html-docs Demo Tools Misc README

%files gdbm
/usr/lib/python1.5/lib-dynload/gdbmmodule.so

%files curses
/usr/lib/python1.5/lib-dynload/cursesmodule.so

%files devel
/usr/include/python1.5
/usr/lib/python1.5/config

%files zlib
/usr/lib/python1.5/lib-dynload/zlibmodule.so
